/*
 * * Copyright (C) 2007 Kalle Vahlman <zuh@iki.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#ifndef _KILIKALI_SWITCHBOX_H_
#define _KILIKALI_SWITCHBOX_H_

#include <gtk/gtkwidget.h>
#include <gtk/gtkhbox.h>

G_BEGIN_DECLS

#define KILIKALI_TYPE_SWITCHBOX     (kilikali_switchbox_get_type ())
#define KILIKALI_SWITCHBOX(obj)     (G_TYPE_CHECK_INSTANCE_CAST ((obj), KILIKALI_TYPE_SWITCHBOX, KilikaliSwitchBox))
#define KILIKALI_IS_SWITCHBOX(obj)  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KILIKALI_TYPE_SWITCHBOX))
#define KILIKALI_SWITCHBOX_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), KILIKALI_TYPE_SWITCHBOX, KilikaliSwitchBoxClass))
#define KILIKALI_IS_SWITCHBOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), KILIKALI_TYPE_SWITCHBOX))
#define KILIKALI_SWITCHBOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), KILIKALI_TYPE_SWITCHBOX, KilikaliSwitchBoxClass))

typedef struct _KilikaliSwitchBox KilikaliSwitchBox;
typedef struct _KilikaliSwitchBoxClass KilikaliSwitchBoxClass;
typedef struct _KilikaliSwitchBoxPrivate KilikaliSwitchBoxPrivate;

struct _KilikaliSwitchBoxClass
{
  GtkHBoxClass parent;

};

struct _KilikaliSwitchBox
{
  GtkHBox parent;

  KilikaliSwitchBoxPrivate *private;
};

GtkWidget *kilikali_switchbox_new (void);
GType  kilikali_switchbox_get_type (void);

/* Public API */

G_END_DECLS

#endif /* _KILIKALI_SWITCHBOX_H_ */

/* Emacs indentatation information
   Local Variables:
   indent-tabs-mode:nil
   tab-width:4
   c-set-offset:4
   c-basic-offset:4
   End: 
*/
// vim: filetype=c:expandtab:shiftwidth=4:tabstop=4:softtabstop=4

